#! /bin/sh

set -e
test $DEBIAN_SCRIPT_DEBUG && set -v -x


case "$1" in
    remove|upgrade|deconfigure)
#        start-stop-daemon --stop --quiet --oknodo --exec /usr/bin/snort
#        rm -f /var/run/snort_*.pid

        # Older versions of snort just kill every process with 'snort' in the
        # name, so also 'snort.prerm'. This fixes that. 
        ps cax | grep ' snort$' | awk '{print $1}' |
                xargs --no-run-if-empty kill -s KILL >/dev/null || true
	;;
    failed-upgrade)
	;;
    *)
	echo "prerm called with unknown argument \`$1'" >&2
	exit 0
	;;
esac


#DEBHELPER#

exit 0
